MPI_File_iread_shared(3)

NAME
MPI_File_iread_shared - Nonblocking read using shared file pointer

SYNOPSIS
#ifdef HAVE_MPI_GREQUEST
#include "mpiu_greq.h"
int MPI_File_iread_shared(MPI_File mpi_fh, void *buf, int count,
                        MPI_Datatype datatype, MPI_Request *request)

INPUT PARAMETERS
fh  - file handle (handle)
count
    - number of elements in buffer (nonnegative integer)
datatype
    - datatype of each buffer element (handle)

OUTPUT PARAMETERS
buf - initial address of buffer (choice)
request
    - request object (handle)

LOCATION
iread_sh.c